net.sf.cglib.transform.impl

## Class AddPropertyTransformer

- java.lang.Object
- - ClassVisitor
  - - net.sf.cglib.transform.ClassTransformer
    - - net.sf.cglib.core.ClassEmitter
      - - net.sf.cglib.transform.ClassEmitterTransformer
        - - net.sf.cglib.transform.impl.AddPropertyTransformer

-     public class AddPropertyTransformer
      extends ClassEmitterTransformer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddPropertyTransformer(java.util.Map props)`
    `AddPropertyTransformer(java.lang.String[] names, Type[] types)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `end_class()`

    - ### Methods inherited from class net.sf.cglib.core.ClassEmitter

      `begin_class, begin_method, begin_static, declare_field, getAccess, getClassInfo, getClassType, getStaticHook, getSuperType, setTarget, visit, visitEnd, visitField, visitMethod`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddPropertyTransformer

          public AddPropertyTransformer(java.util.Map props)

    - #### AddPropertyTransformer

          public AddPropertyTransformer(java.lang.String[] names,
                                Type[] types)

  - ### Method Detail

    - #### end_class

          public void end_class()

      Overrides:
        `end_class` in class `ClassEmitter`

Copyright (c) 2001 - Apache Software Foundation